Subject: Re: [secdir] draft-ietf-opsawg-hmac-sha-2-usm-snmp-new-03 SECDIR review

From: Johannes Merkle <[email-masked]>
Date: Fri, 12 Feb 2016 12:37:51 +0100

the agreed improvements have been implemented in the new draft

Name: draft-ietf-opsawg-hmac-sha-2-usm-snmp-new
Revision: 04
Title: HMAC-SHA-2 Authentication Protocols in USM for SNMPv3
Document date: 2016-02-12
Group: opsawg
Pages: 13
URL: https://www.ietf.org/internet-drafts/draft-ietf-opsawg-hmac-sha-2-usm-snmp-new-04.txt
Status: https://datatracker.ietf.org/doc/draft-ietf-opsawg-hmac-sha-2-usm-snmp-new/
Htmlized: https://tools.ietf.org/html/draft-ietf-opsawg-hmac-sha-2-usm-snmp-new-04
Diff: https://www.ietf.org/rfcdiff?url2=draft-ietf-opsawg-hmac-sha-2-usm-snmp-new-04

Johannes

Donald Eastlake schrieb am 31.01.2016 um 22:50:
> Hi Johannes,
> 
> On Fri, Jan 29, 2016 at 5:23 AM, Johannes Merkle
> <[email-masked]> wrote:
>>
>>> The Abstract does not mention that this document obsoletes RFC 7630. I
>>> think it is a good practice to include that in the Abstract.
>>
>> That's a good hint. I will do that.
>>
>>>
>>> The first paragraph of the Introduction seems odd to me It says
>>>    "This memo defines a portion of the Management Information Base (MIB)
>>>    for use with network management protocols. In particular, it defines
>>>    additional authentication protocols ..."
>>> While I can't actually say this is actually wrong, the portion of the
>>> MIB it defines is trivial and it seems to me that the meat is in the
>>> specification of the additional authentication protocols. Certainly,
>>> those authentication protocol specifications don't appear in the MIB
>>> portion specified, only identifiers for them. Yet the wording of the
>>> Introduction (... defines a portion of the ... MIB.. In particular,
>>> ...) seems to imply that the definition of the additional
>>> authentication protocols is a subpart of the portion of the MIB. So I
>>> would say the Introduction should begin with something like:
>>>    "This document specified additional authentication protocols ... In
>>> addition, it defines a portion of the Management Information Base
>>> (MIB) containing identifiers for these authentication protocols for
>>> use with network management protocols."
>>>
>>
>> Alternatively, the introduction could be rephrased in the line of that of RFC 3826, e.g.,
>>
>>    Within the Architecture for describing Simple Network Management
>>    Protocol (SNMP) Management Frameworks [RFC3411], the User-based
>>    Security Model (USM) [RFC3414] for SNMPv3 is defined as a Security
>>    Subsystem within an SNMP engine.  In RFC 3414, two different
>>    authentication protocols, HMAC-MD5-96 and HMAC-SHA-96, are defined
>>    based on the hash functions MD5 and SHA-1, respectively.
>>
>>    This memo specifies new HMAC-SHA-2 authentication protocols for USM...
>>
>>
>> IMHO that would be a better start.
> 
> That alternative text looks fine to me.
> 
> Thanks,
> Donald
> =============================
>  Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
>  155 Beaver Street, Milford, MA 01757 USA
>  [email-masked]
> 
>> --
>> Johannes
>